Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class SequenceIterationStatus

    java.lang.Object
      org.richfaces.component.SequenceIterationStatus

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.jstl.core.LoopTagStatus

    public final class SequenceIterationStatus

extends java.lang.Object
implements javax.servlet.jsp.jstl.core.LoopTagStatus, java.io.Serializable

Author:
  Nick Belaevski
See Also:
  Serialized Form

Constructor Summary
`SequenceIterationStatus(java.lang.Integer begin, java.lang.Integer end, int index, java.lang.Integer rowCount)`

Method Summary
`java.lang.Integer` | `getBegin()`
`int` | `getCount()`
`java.lang.Object` | `getCurrent()`
`java.lang.Integer` | `getEnd()`
`int` | `getIndex()`
`java.lang.Integer` | `getRowCount()`
`java.lang.Integer` | `getStep()`
`boolean` | `isEven()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `isOdd()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SequenceIterationStatus

    public SequenceIterationStatus(java.lang.Integer begin,
                                   java.lang.Integer end,
                                   int index,
                                   java.lang.Integer rowCount)

Method Detail

### getBegin

    public java.lang.Integer getBegin()

  Specified by:
    `getBegin` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

### getCount

    public int getCount()

  Specified by:
    `getCount` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

### getCurrent

    public java.lang.Object getCurrent()

  Specified by:
    `getCurrent` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

### getEnd

    public java.lang.Integer getEnd()

  Specified by:
    `getEnd` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

### getIndex

    public int getIndex()

  Specified by:
    `getIndex` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

### getStep

    public java.lang.Integer getStep()

  Specified by:
    `getStep` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

### isFirst

    public boolean isFirst()

  Specified by:
    `isFirst` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

### isLast

    public boolean isLast()

  Specified by:
    `isLast` in interface `javax.servlet.jsp.jstl.core.LoopTagStatus`

### getRowCount

    public java.lang.Integer getRowCount()

### isEven

    public boolean isEven()

### isOdd

    public boolean isOdd()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.